fftC2R

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
fftC2R
Complete List of ArrayFire Functions ArrayFire Functions by Category » Signal Processing » | Fast Fourier Transforms

Complex to Real Fast Fourier Transform. More...

## Functions
template<int rank>
array | fftC2R (const array &in, bool is_odd=false, const double norm_factor=0)
| C++ Interface for complex to real fast fourier transform. More...
AFAPI af_err | af_fft_c2r (af_array *out, const af_array in, const double norm_factor, const bool is_odd)
| C Interface for complex to real fast fourier transform for one dimensional signals. More...
AFAPI af_err | af_fft2_c2r (af_array *out, const af_array in, const double norm_factor, const bool is_odd)
| C Interface for complex to real fast fourier transform for two dimensional signals. More...
AFAPI af_err | af_fft3_c2r (af_array *out, const af_array in, const double norm_factor, const bool is_odd)
| C Interface for complex to real fast fourier transform for three dimensional signals. More...

## Detailed Description

Complex to Real Fast Fourier Transform.

## Function Documentation

AFAPI af_err af_fft2_c2r | ( | af_array * | out,
|  | const af_array | in,
|  | const double | norm_factor,
|  | const bool | is_odd
| ) |  |

C Interface for complex to real fast fourier transform for two dimensional signals.

Parameters

  [out] | out | is a real array containing the output of the transform.
  [in] | in | is a complex array containing only the non redundant parts of the signals.
  [in] | norm_factor | is the normalization factor with which the input is scaled before the transformation is applied
  [in] | is_odd | is a flag signifying if the output should be even or odd size

Returns
  AF_SUCCESS if the fft transform is successful, otherwise an appropriate error code is returned.

Note
  The first dimension of the output will be 2 * dim0 - 1 if is_odd is true else 2 * dim0 - 2 where dim0 is the first dimension of the input. The remaining dimensions are unchanged.

AFAPI af_err af_fft3_c2r | ( | af_array * | out,
|  | const af_array | in,
|  | const double | norm_factor,
|  | const bool | is_odd
| ) |  |

C Interface for complex to real fast fourier transform for three dimensional signals.

Parameters

  [out] | out | is a real array containing the output of the transform.
  [in] | in | is a complex array containing only the non redundant parts of the signals.
  [in] | norm_factor | is the normalization factor with which the input is scaled before the transformation is applied
  [in] | is_odd | is a flag signifying if the output should be even or odd size

Returns
  AF_SUCCESS if the fft transform is successful, otherwise an appropriate error code is returned.

Note
  The first dimension of the output will be 2 * dim0 - 1 if is_odd is true else 2 * dim0 - 2 where dim0 is the first dimension of the input. The remaining dimensions are unchanged.

AFAPI af_err af_fft_c2r | ( | af_array * | out,
|  | const af_array | in,
|  | const double | norm_factor,
|  | const bool | is_odd
| ) |  |

C Interface for complex to real fast fourier transform for one dimensional signals.

Parameters

  [out] | out | is a real array containing the output of the transform.
  [in] | in | is a complex array containing only the non redundant parts of the signals.
  [in] | norm_factor | is the normalization factor with which the input is scaled before the transformation is applied
  [in] | is_odd | is a flag signifying if the output should be even or odd size

Returns
  AF_SUCCESS if the fft transform is successful, otherwise an appropriate error code is returned.

Note
  The first dimension of the output will be 2 * dim0 - 1 if is_odd is true else 2 * dim0 - 2 where dim0 is the first dimension of the input. The remaining dimensions are unchanged.

array af::fftC2R | ( | const array & | in,
|  | bool | is_odd = `false`,
|  | const double | norm_factor = `0`
| ) |  |

C++ Interface for complex to real fast fourier transform.

Parameters

  [in] | in | is a complex array containing only the non redundant parts of the signals
  [in] | is_odd | is a flag signifying if the output should be even or odd size
  [in] | norm_factor | is the normalization factor with which the input is scaled before the transformation is applied

Template Parameters

  rank | signifies the dimensionality of the transform

Returns
  A real array of size [2 * idim0 - 2 + is_odd, idim1, idim2, idim3] where idim{0,1,2,3} signify input dimensions